export enum SpeedType {
  Bpm = 'Bpm',
  Multiplier = 'Multiplier',
}

export enum BgDisplayMode {
  FitToScreen = 'FitToScreen',
  Unscaled = 'Unscaled',
  Tiled = 'Tiled',
}

export enum ToggleBool {
  Enabled = 'Enabled',
  Disabled = 'Disabled',
}

export enum TrackColorType {
  Single = 'Single',
  Stripes = 'Stripes',
  Glow = 'Glow',
  Blink = 'Blink',
  Switch = 'Switch',
  Rainbow = 'Rainbow',
  Volume = 'Volume',
}

export enum TrackColorPulse {
  None = 'None',
  Forward = 'Forward',
  Backward = 'Backward',
}

export enum TrackStyle {
  Standard = 'Standard',
  Neon = 'Neon',
  NeonLight = 'NeonLight',
  Basic = 'Basic',
  Gems = 'Gems',
  Minimal = 'Minimal',
}

export enum TrackAnimationType {
  None = 'None',
  Assemble = 'Assemble',
  Assemble_Far = 'Assemble_Far',
  Extend = 'Extend',
  Grow = 'Grow',
  Grow_Spin = 'Grow_Spin',
  Fade = 'Fade',
  Drop = 'Drop',
  Rise = 'Rise',
}

export enum TrackAnimationType2 {
  None = 'None',
  Scatter = 'Scatter',
  Scatter_Far = 'Scatter_Far',
  Retract = 'Retract',
  Shrink = 'Shrink',
  Shrink_Spin = 'Shrink_Spin',
  Fade = 'Fade',
}

export enum DecPlacementType {
  Tile = 'Tile',
  Global = 'Global',
  RedPlanet = 'RedPlanet',
  BluePlanet = 'BluePlanet',
  Camera = 'Camera',
  CameraAspect = 'CameraAspect',
}

export enum DecorationBlendMode {
  None = 'None',
  Screen = 'Screen',
  LinearDodge = 'LinearDodge',
  Overlay = 'Overlay',
  SoftLight = 'SoftLight',
  Difference = 'Difference',
}

export enum MaskingType {
  None = 'None',
  Mask = 'Mask',
  VisibleInsideMask = 'VisibleInsideMask',
  VisibleOutsideMask = 'VisibleOutsideMask',
}

export enum Hitbox {
  Box = 'Box',
  Circle = 'Circle',
  Capsule = 'Capsule',
}

export enum FlashPlane {
  Foreground = 'Foreground',
  Background = 'Background',
}

export enum Ease {
  Linear = 'Linear',
  InSine = 'InSine',
  OutSine = 'OutSine',
  InOutSine = 'InOutSine',
  InQuad = 'InQuad',
  OutQuad = 'OutQuad',
  InOutQuad = 'InOutQuad',
  InCubic = 'InCubic',
  OutCubic = 'OutCubic',
  InOutCubic = 'InOutCubic',
  InQuart = 'InQuart',
  OutQuart = 'OutQuart',
  InOutQuart = 'InOutQuart',
  InQuint = 'InQuint',
  OutQuint = 'OutQuint',
  InOutQuint = 'InOutQuint',
  InExpo = 'InExpo',
  OutExpo = 'OutExpo',
  InOutExpo = 'InOutExpo',
  InCirc = 'InCirc',
  OutCirc = 'OutCirc',
  InOutCirc = 'InOutCirc',
  InElastic = 'InElastic',
  OutElastic = 'OutElastic',
  InOutElastic = 'InOutElastic',
  InBack = 'InBack',
  OutBack = 'OutBack',
  InOutBack = 'InOutBack',
  InBounce = 'InBounce',
  OutBounce = 'OutBounce',
  InOutBounce = 'InOutBounce',
  Flash = 'Flash',
  InFlash = 'InFlash',
  OutFlash = 'OutFlash',
  InOutFlash = 'InOutFlash',
}

export enum RandomMode {
  None = 'None',
  Between = 'Between',
  OneOrOther = 'OneOrOther',
}

export enum CamMovementType {
  Player = 'Player',
  Tile = 'Tile',
  Global = 'Global',
  LastPosition = 'LastPosition',
  LastPositionNoRotation = 'LastPositionNoRotation',
}

export enum GameSound {
  Hitsound = 'Hitsound',
  Midspin = 'Midspin',
}

export enum HitSound {
  Hat = 'Hat',
  Kick = 'Kick',
  Shaker = 'Shaker',
  Sizzle = 'Sizzle',
  Chuck = 'Chuck',
  ShakerLoud = 'ShakerLoud',
  None = 'None',
  Hammer = 'Hammer',
  KickChroma = 'KickChroma',
  SnareAcoustic2 = 'SnareAcoustic2',
  Sidestick = 'Sidestick',
  Stick = 'Stick',
  ReverbClack = 'ReverbClack',
  Squareshot = 'Squareshot',
  PowerDown = 'PowerDown',
  PowerUp = 'PowerUp',
  KickHouse = 'KickHouse',
  KickRupture = 'KickRupture',
  HatHouse = 'HatHouse',
  SnareHouse = 'SnareHouse',
  SnareVapor = 'SnareVapor',
  ClapHit = 'ClapHit',
  ClapHitEcho = 'ClapHitEcho',
  ReverbClap = 'ReverbClap',
  FireTile = 'FireTile',
  IceTile = 'IceTile',
  VehiclePositive = 'VehiclePositive',
  VehicleNegative = 'VehicleNegative',
}

export enum Filter {
  Grayscale = 'Grayscale',
  Sepia = 'Sepia',
  Invert = 'Invert',
  VHS = 'VHS',
  EightiesTV = 'EightiesTV',
  FiftiesTV = 'FiftiesTV',
  Arcade = 'Arcade',
  LED = 'LED',
  Rain = 'Rain',
  Blizzard = 'Blizzard',
  PixelSnow = 'PixelSnow',
  Compression = 'Compression',
  Glitch = 'Glitch',
  Pixelate = 'Pixelate',
  Waves = 'Waves',
  Static = 'Static',
  Grain = 'Grain',
  MotionBlur = 'MotionBlur',
  Fisheye = 'Fisheye',
  Aberration = 'Aberration',
  Drawing = 'Drawing',
  Neon = 'Neon',
  Handheld = 'Handheld',
  NightVision = 'NightVision',
  Funk = 'Funk',
  Tunnel = 'Tunnel',
  Weird3D = 'Weird3D',
  Blur = 'Blur',
  BlurFocus = 'BlurFocus',
  GaussianBlur = 'GaussianBlur',
  HexagonBlack = 'HexagonBlack',
  Posterize = 'Posterize',
  Sharpen = 'Sharpen',
  Contrast = 'Contrast',
  EdgeBlackLine = 'EdgeBlackLine',
  OilPaint = 'OilPaint',
  SuperDot = 'SuperDot',
  WaterDrop = 'WaterDrop',
  LightWater = 'LightWater',
  Petals = 'Petals',
  PetalsInstant = 'PetalsInstant',
}

export enum EasePartBehavior {
  Mirror = 'Mirror',
  Repeat = 'Repeat',
}

export enum HoldStartSound {
  Fuse = 'Fuse',
  None = 'None',
}

export enum HoldLoopSound {
  Fuse = 'Fuse',
  None = 'None',
}

export enum HoldEndSound {
  Fuse = 'Fuse',
  None = 'None',
}

export enum HoldMidSound {
  Fuse = 'Fuse',
  SingSing = 'SingSing',
  None = 'None',
}

export enum HoldMidSoundType {
  Once = 'Once',
  Repeat = 'Repeat',
}

export enum HoldMidSoundTimingRelativeTo {
  Start = 'Start',
  End = 'End',
}

export enum PlanetCount {
  TwoPlanets = 'TwoPlanets',
  ThreePlanets = 'ThreePlanets',
}

export enum FontName {
  Default = 'Default',
  Arial = 'Arial',
  ComicSansMS = 'ComicSansMS',
  CourierNew = 'CourierNew',
  Georgia = 'Georgia',
  Impact = 'Impact',
  TimesNewRoman = 'TimesNewRoman',
}

export enum TargetPlanet {
  FirePlanet = 'FirePlanet',
  IcePlanet = 'IcePlanet',
  Both = 'Both',
}
